<?xml version="1.0" encoding="UTF-8"?>
<!-- Es un archivo de mapeo -->
<!DOCTYPE mapper
  PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.mx.dla.dda.contrato.titulo.daos.FormatoDmDAO">

	<insert id="insertarFormato"
		parameterType="Formato">
		insert into DDA_M_CONTRATO_TITULO_FTO (ID_FORMATO,ID_TITULO_CNT) values (#{idFormato},#{idTitulo})
	</insert>
	
	<delete id="borrarFormatos">
		delete DDA_M_CONTRATO_TITULO_FTO where ID_TITULO_CNT=#{idTitulo}
	</delete>
	
	
	<delete id="borrarFormatosDeTitulosEnLista">
		delete DDA_M_CONTRATO_TITULO_FTO 
		where ID_TITULO_CNT  in 
								(select t.ID_TITULO_CNT from  DDA_M_CONTRATO_TITULO t 
									where ID_LISTA=#{idLista}   )    
	</delete>

	<resultMap id="Formato"
		type="Formato">
		<id property="idFormato" column="ID_FORMATO"/>
		<result property="idTitulo" column="ID_TITULO_CNT"/>
		<result property="desc" column="DESCRIPCION"/>
	</resultMap>

	<select id="buscarFormatos" resultMap="Formato"
		parameterType="long">
		select 
			tf.ID_FORMATO,tf.ID_TITULO_CNT,f.DESCRIPCION 
		from DDA_M_CONTRATO_TITULO_FTO tf
		inner join  DDA_C_FORMATO f on f.ID_FORMATO = tf.ID_FORMATO
		where 
			tf.ID_TITULO_CNT =#{idTitulo} 
	</select>


</mapper>
